---
 layout: doc
---

# Class: crashdump

**This class is deprecated.**

A VM crashdump

## Fields for class: crashdump

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`other_config`      |`(string -> string) map`|_RW_           |**Deprecated.** additional configuration                |
|`uuid`              |`string`            |_RO/runtime_   |**Deprecated.** Unique identifier/object reference      |
|`VDI`               |`VDI ref`           |_RO/constructor_|**Deprecated.** the virtual disk                        |
|`VM`                |`VM ref`            |_RO/constructor_|**Deprecated.** the virtual machine                     |

## RPCs associated with class: crashdump

### RPC name: add&#95;to&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Add the given key&#45;value pair to the other&#95;config field of the given crashdump.

_Signature:_

```
void add_to_other_config (session ref session_ref, crashdump ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to add                              |
|`string`                      |`value`                       |Value to add                            |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: destroy

**This message is deprecated.**

_Overview:_

Destroy the specified crashdump

_Signature:_

```
void destroy (session ref session_ref, crashdump ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |The crashdump to destroy                |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: get&#95;all

**This message is deprecated.**

_Overview:_

Return a list of all the crashdumps known to the system.

_Signature:_

```
crashdump ref set get_all (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `crashdump ref set`

references to all objects

### RPC name: get&#95;all&#95;records

**This message is deprecated.**

_Overview:_

Return a map of crashdump references to crashdump records for all crashdumps known to the system.

_Signature:_

```
(crashdump ref -> crashdump record) map get_all_records (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `(crashdump ref -> crashdump record) map`

records of all objects

### RPC name: get&#95;by&#95;uuid

**This message is deprecated.**

_Overview:_

Get a reference to the crashdump instance with the specified UUID.

_Signature:_

```
crashdump ref get_by_uuid (session ref session_ref, string uuid)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`uuid`                        |UUID of object to return                |

_Minimum Role:_ read-only

_Return Type:_ `crashdump ref`

reference to the object

### RPC name: get&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Get the other&#95;config field of the given crashdump.

_Signature:_

```
(string -> string) map get_other_config (session ref session_ref, crashdump ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;record

**This message is deprecated.**

_Overview:_

Get a record containing the current state of the given crashdump.

_Signature:_

```
crashdump record get_record (session ref session_ref, crashdump ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `crashdump record`

all fields from the object

### RPC name: get&#95;uuid

**This message is deprecated.**

_Overview:_

Get the uuid field of the given crashdump.

_Signature:_

```
string get_uuid (session ref session_ref, crashdump ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;VDI

**This message is deprecated.**

_Overview:_

Get the VDI field of the given crashdump.

_Signature:_

```
VDI ref get_VDI (session ref session_ref, crashdump ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `VDI ref`

value of the field

### RPC name: get&#95;VM

**This message is deprecated.**

_Overview:_

Get the VM field of the given crashdump.

_Signature:_

```
VM ref get_VM (session ref session_ref, crashdump ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `VM ref`

value of the field

### RPC name: remove&#95;from&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Remove the given key and its corresponding value from the other&#95;config field of the given crashdump.  If the key is not in that Map, then do nothing.

_Signature:_

```
void remove_from_other_config (session ref session_ref, crashdump ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to remove                           |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Set the other&#95;config field of the given crashdump.

_Signature:_

```
void set_other_config (session ref session_ref, crashdump ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`crashdump ref`               |`self`                        |reference to the object                 |
|`(string -> string) map`      |`value`                       |New value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`
