---
 layout: doc
---

# Class: sr&#95;stat

A set of high&#45;level properties associated with an SR.

## Fields for class: sr&#95;stat

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`clustered`         |`bool`              |_RO/runtime_   |Indicates whether the SR uses clustered local storage.|
|`free_space`        |`int`               |_RO/runtime_   |Number of bytes free on the backing storage &#40;in bytes&#41;|
|`health`            |`sr_health`         |_RO/runtime_   |The health status of the SR.            |
|`name_description`  |`string`            |_RO/runtime_   |Longer, human&#45;readable description of the SR. Descriptions are generally only displayed by clients when the user is examining SRs in detail.|
|`name_label`        |`string`            |_RO/runtime_   |Short, human&#45;readable label for the SR.|
|`total_space`       |`int`               |_RO/runtime_   |Total physical size of the backing storage &#40;in bytes&#41;|
|`uuid`              |`string option`     |_RO/runtime_   |Uuid that uniquely identifies this SR, if one is available.|

## RPCs associated with class: sr&#95;stat

Class sr&#95;stat has no RPCs associated with it.
