---
 layout: doc
---

# Class: user

**This class is deprecated.**

A user of the system

## Fields for class: user

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`fullname`          |`string`            |_RW_           |**Deprecated.** full name                               |
|`other_config`      |`(string -> string) map`|_RW_           |**Deprecated.** additional configuration                |
|`short_name`        |`string`            |_RO/constructor_|**Deprecated.** short name &#40;e.g. userid&#41;        |
|`uuid`              |`string`            |_RO/runtime_   |**Deprecated.** Unique identifier/object reference      |

## RPCs associated with class: user

### RPC name: add&#95;to&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Add the given key&#45;value pair to the other&#95;config field of the given user.

_Signature:_

```
void add_to_other_config (session ref session_ref, user ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to add                              |
|`string`                      |`value`                       |Value to add                            |

_Minimum Role:_ pool-admin

_Return Type:_ `void`

### RPC name: create

**This message is deprecated.**

_Overview:_

Create a new user instance, and return its handle.

_Signature:_

```
user ref create (session ref session_ref, user record args)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user record`                 |`args`                        |All constructor arguments               |

_Minimum Role:_ pool-admin

_Return Type:_ `user ref`

reference to the newly created object

### RPC name: destroy

**This message is deprecated.**

_Overview:_

Destroy the specified user instance.

_Signature:_

```
void destroy (session ref session_ref, user ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ pool-admin

_Return Type:_ `void`

### RPC name: get&#95;by&#95;uuid

**This message is deprecated.**

_Overview:_

Get a reference to the user instance with the specified UUID.

_Signature:_

```
user ref get_by_uuid (session ref session_ref, string uuid)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`uuid`                        |UUID of object to return                |

_Minimum Role:_ read-only

_Return Type:_ `user ref`

reference to the object

### RPC name: get&#95;fullname

**This message is deprecated.**

_Overview:_

Get the fullname field of the given user.

_Signature:_

```
string get_fullname (session ref session_ref, user ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Get the other&#95;config field of the given user.

_Signature:_

```
(string -> string) map get_other_config (session ref session_ref, user ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;record

**This message is deprecated.**

_Overview:_

Get a record containing the current state of the given user.

_Signature:_

```
user record get_record (session ref session_ref, user ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `user record`

all fields from the object

### RPC name: get&#95;short&#95;name

**This message is deprecated.**

_Overview:_

Get the short&#95;name field of the given user.

_Signature:_

```
string get_short_name (session ref session_ref, user ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;uuid

**This message is deprecated.**

_Overview:_

Get the uuid field of the given user.

_Signature:_

```
string get_uuid (session ref session_ref, user ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: remove&#95;from&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Remove the given key and its corresponding value from the other&#95;config field of the given user.  If the key is not in that Map, then do nothing.

_Signature:_

```
void remove_from_other_config (session ref session_ref, user ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to remove                           |

_Minimum Role:_ pool-admin

_Return Type:_ `void`

### RPC name: set&#95;fullname

**This message is deprecated.**

_Overview:_

Set the fullname field of the given user.

_Signature:_

```
void set_fullname (session ref session_ref, user ref self, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |
|`string`                      |`value`                       |New value to set                        |

_Minimum Role:_ pool-admin

_Return Type:_ `void`

### RPC name: set&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Set the other&#95;config field of the given user.

_Signature:_

```
void set_other_config (session ref session_ref, user ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`user ref`                    |`self`                        |reference to the object                 |
|`(string -> string) map`      |`value`                       |New value to set                        |

_Minimum Role:_ pool-admin

_Return Type:_ `void`
