---
 layout: doc
---

# Class: VBD&#95;metrics

**This class is removed.**

The metrics associated with a virtual block device

## Fields for class: VBD&#95;metrics

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`io_read_kbs`       |`float`             |_RO/runtime_   |**Removed.** Read bandwidth &#40;KiB/s&#41;          |
|`io_write_kbs`      |`float`             |_RO/runtime_   |**Removed.** Write bandwidth &#40;KiB/s&#41;         |
|`last_updated`      |`datetime`          |_RO/runtime_   |**Removed.** Time at which this information was last updated|
|`other_config`      |`(string -> string) map`|_RW_           |**Removed.** additional configuration                |
|`uuid`              |`string`            |_RO/runtime_   |**Removed.** Unique identifier/object reference      |

## RPCs associated with class: VBD&#95;metrics

### RPC name: add&#95;to&#95;other&#95;config

**This message is removed.**

_Overview:_

Add the given key&#45;value pair to the other&#95;config field of the given VBD&#95;metrics.

_Signature:_

```
void add_to_other_config (session ref session_ref, VBD_metrics ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to add                              |
|`string`                      |`value`                       |Value to add                            |

_Minimum Role:_ vm-admin

_Return Type:_ `void`

### RPC name: get&#95;all

**This message is removed.**

_Overview:_

Return a list of all the VBD&#95;metrics instances known to the system.

_Signature:_

```
VBD_metrics ref set get_all (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `VBD_metrics ref set`

references to all objects

### RPC name: get&#95;all&#95;records

**This message is removed.**

_Overview:_

Return a map of VBD&#95;metrics references to VBD&#95;metrics records for all VBD&#95;metrics instances known to the system.

_Signature:_

```
(VBD_metrics ref -> VBD_metrics record) map get_all_records (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `(VBD_metrics ref -> VBD_metrics record) map`

records of all objects

### RPC name: get&#95;by&#95;uuid

**This message is removed.**

_Overview:_

Get a reference to the VBD&#95;metrics instance with the specified UUID.

_Signature:_

```
VBD_metrics ref get_by_uuid (session ref session_ref, string uuid)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`uuid`                        |UUID of object to return                |

_Minimum Role:_ read-only

_Return Type:_ `VBD_metrics ref`

reference to the object

### RPC name: get&#95;io&#95;read&#95;kbs

**This message is removed.**

_Overview:_

Get the io/read&#95;kbs field of the given VBD&#95;metrics.

_Signature:_

```
float get_io_read_kbs (session ref session_ref, VBD_metrics ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `float`

value of the field

### RPC name: get&#95;io&#95;write&#95;kbs

**This message is removed.**

_Overview:_

Get the io/write&#95;kbs field of the given VBD&#95;metrics.

_Signature:_

```
float get_io_write_kbs (session ref session_ref, VBD_metrics ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `float`

value of the field

### RPC name: get&#95;last&#95;updated

**This message is removed.**

_Overview:_

Get the last&#95;updated field of the given VBD&#95;metrics.

_Signature:_

```
datetime get_last_updated (session ref session_ref, VBD_metrics ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `datetime`

value of the field

### RPC name: get&#95;other&#95;config

**This message is removed.**

_Overview:_

Get the other&#95;config field of the given VBD&#95;metrics.

_Signature:_

```
(string -> string) map get_other_config (session ref session_ref, VBD_metrics ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;record

**This message is removed.**

_Overview:_

Get a record containing the current state of the given VBD&#95;metrics.

_Signature:_

```
VBD_metrics record get_record (session ref session_ref, VBD_metrics ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `VBD_metrics record`

all fields from the object

### RPC name: get&#95;uuid

**This message is removed.**

_Overview:_

Get the uuid field of the given VBD&#95;metrics.

_Signature:_

```
string get_uuid (session ref session_ref, VBD_metrics ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: remove&#95;from&#95;other&#95;config

**This message is removed.**

_Overview:_

Remove the given key and its corresponding value from the other&#95;config field of the given VBD&#95;metrics.  If the key is not in that Map, then do nothing.

_Signature:_

```
void remove_from_other_config (session ref session_ref, VBD_metrics ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to remove                           |

_Minimum Role:_ vm-admin

_Return Type:_ `void`

### RPC name: set&#95;other&#95;config

**This message is removed.**

_Overview:_

Set the other&#95;config field of the given VBD&#95;metrics.

_Signature:_

```
void set_other_config (session ref session_ref, VBD_metrics ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VBD_metrics ref`             |`self`                        |reference to the object                 |
|`(string -> string) map`      |`value`                       |New value to set                        |

_Minimum Role:_ vm-admin

_Return Type:_ `void`
