---
 layout: doc
---

# Class: VMPP

**This class is removed.**

VM Protection Policy

## Fields for class: VMPP

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`alarm_config`      |`(string -> string) map`|_RO/constructor_|**Removed.** configuration for the alarm             |
|`archive_frequency` |`vmpp_archive_frequency`|_RO/constructor_|**Removed.** frequency of the archive schedule       |
|`archive_last_run_time`|`datetime`          |_RO/runtime_   |**Removed.** time of the last archive                |
|`archive_schedule`  |`(string -> string) map`|_RO/constructor_|**Removed.** schedule of the archive containing 'hour', 'min', 'days'. Date/time&#45;related information is in Local Timezone|
|`archive_target_config`|`(string -> string) map`|_RO/constructor_|**Removed.** configuration for the archive, including its 'location', 'username', 'password'|
|`archive_target_type`|`vmpp_archive_target_type`|_RO/constructor_|**Removed.** type of the archive target config       |
|`backup_frequency`  |`vmpp_backup_frequency`|_RO/constructor_|**Removed.** frequency of the backup schedule        |
|`backup_last_run_time`|`datetime`          |_RO/runtime_   |**Removed.** time of the last backup                 |
|`backup_retention_value`|`int`               |_RO/constructor_|**Removed.** maximum number of backups that should be stored at any time|
|`backup_schedule`   |`(string -> string) map`|_RO/constructor_|**Removed.** schedule of the backup containing 'hour', 'min', 'days'. Date/time&#45;related information is in Local Timezone|
|`backup_type`       |`vmpp_backup_type`  |_RW_           |**Removed.** type of the backup sub&#45;policy       |
|`is_alarm_enabled`  |`bool`              |_RO/constructor_|**Removed.** true if alarm is enabled for this policy|
|`is_archive_running`|`bool`              |_RO/runtime_   |**Removed.** true if this protection policy's archive is running|
|`is_backup_running` |`bool`              |_RO/runtime_   |**Removed.** true if this protection policy's backup is running|
|`is_policy_enabled` |`bool`              |_RW_           |**Removed.** enable or disable this policy           |
|`name_description`  |`string`            |_RW_           |**Removed.** a notes field containing human&#45;readable description|
|`name_label`        |`string`            |_RW_           |**Removed.** a human&#45;readable name               |
|`recent_alerts`     |`string set`        |_RO/runtime_   |**Removed.** recent alerts                           |
|`uuid`              |`string`            |_RO/runtime_   |**Removed.** Unique identifier/object reference      |
|`VMs`               |`VM ref set`        |_RO/runtime_   |**Removed.** all VMs attached to this protection policy|

## RPCs associated with class: VMPP

### RPC name: add&#95;to&#95;alarm&#95;config

**This message is removed.**

_Overview:_

_Signature:_

```
void add_to_alarm_config (session ref session_ref, VMPP ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`string`                      |`key`                         |the key to add                          |
|`string`                      |`value`                       |the value to add                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: add&#95;to&#95;archive&#95;schedule

**This message is removed.**

_Overview:_

_Signature:_

```
void add_to_archive_schedule (session ref session_ref, VMPP ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`string`                      |`key`                         |the key to add                          |
|`string`                      |`value`                       |the value to add                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: add&#95;to&#95;archive&#95;target&#95;config

**This message is removed.**

_Overview:_

_Signature:_

```
void add_to_archive_target_config (session ref session_ref, VMPP ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`string`                      |`key`                         |the key to add                          |
|`string`                      |`value`                       |the value to add                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: add&#95;to&#95;backup&#95;schedule

**This message is removed.**

_Overview:_

_Signature:_

```
void add_to_backup_schedule (session ref session_ref, VMPP ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`string`                      |`key`                         |the key to add                          |
|`string`                      |`value`                       |the value to add                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: archive&#95;now

**This message is removed.**

_Overview:_

This call archives the snapshot provided as a parameter

_Signature:_

```
string archive_now (session ref session_ref, VM ref snapshot)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VM ref`                      |`snapshot`                    |The snapshot to archive                 |

_Minimum Role:_ vm-power-admin

_Return Type:_ `string`

An XMLRPC result

### RPC name: create

**This message is removed.**

_Overview:_

Create a new VMPP instance, and return its handle.

_Signature:_

```
VMPP ref create (session ref session_ref, VMPP record args)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP record`                 |`args`                        |All constructor arguments               |

_Minimum Role:_ pool-operator

_Return Type:_ `VMPP ref`

reference to the newly created object

### RPC name: destroy

**This message is removed.**

_Overview:_

Destroy the specified VMPP instance.

_Signature:_

```
void destroy (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: get&#95;alarm&#95;config

**This message is removed.**

_Overview:_

Get the alarm&#95;config field of the given VMPP.

_Signature:_

```
(string -> string) map get_alarm_config (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;alerts

**This message is removed.**

_Overview:_

This call fetches a history of alerts for a given protection policy

_Signature:_

```
string set get_alerts (session ref session_ref, VMPP ref vmpp, int hours_from_now)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`vmpp`                        |The protection policy                   |
|`int`                         |`hours_from_now`              |how many hours in the past the oldest record to fetch is|

_Minimum Role:_ pool-operator

_Return Type:_ `string set`

A list of alerts encoded in xml

### RPC name: get&#95;all

**This message is removed.**

_Overview:_

Return a list of all the VMPPs known to the system.

_Signature:_

```
VMPP ref set get_all (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `VMPP ref set`

references to all objects

### RPC name: get&#95;all&#95;records

**This message is removed.**

_Overview:_

Return a map of VMPP references to VMPP records for all VMPPs known to the system.

_Signature:_

```
(VMPP ref -> VMPP record) map get_all_records (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `(VMPP ref -> VMPP record) map`

records of all objects

### RPC name: get&#95;archive&#95;frequency

**This message is removed.**

_Overview:_

Get the archive&#95;frequency field of the given VMPP.

_Signature:_

```
vmpp_archive_frequency get_archive_frequency (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `vmpp_archive_frequency`

value of the field

### RPC name: get&#95;archive&#95;last&#95;run&#95;time

**This message is removed.**

_Overview:_

Get the archive&#95;last&#95;run&#95;time field of the given VMPP.

_Signature:_

```
datetime get_archive_last_run_time (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `datetime`

value of the field

### RPC name: get&#95;archive&#95;schedule

**This message is removed.**

_Overview:_

Get the archive&#95;schedule field of the given VMPP.

_Signature:_

```
(string -> string) map get_archive_schedule (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;archive&#95;target&#95;config

**This message is removed.**

_Overview:_

Get the archive&#95;target&#95;config field of the given VMPP.

_Signature:_

```
(string -> string) map get_archive_target_config (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;archive&#95;target&#95;type

**This message is removed.**

_Overview:_

Get the archive&#95;target&#95;type field of the given VMPP.

_Signature:_

```
vmpp_archive_target_type get_archive_target_type (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `vmpp_archive_target_type`

value of the field

### RPC name: get&#95;backup&#95;frequency

**This message is removed.**

_Overview:_

Get the backup&#95;frequency field of the given VMPP.

_Signature:_

```
vmpp_backup_frequency get_backup_frequency (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `vmpp_backup_frequency`

value of the field

### RPC name: get&#95;backup&#95;last&#95;run&#95;time

**This message is removed.**

_Overview:_

Get the backup&#95;last&#95;run&#95;time field of the given VMPP.

_Signature:_

```
datetime get_backup_last_run_time (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `datetime`

value of the field

### RPC name: get&#95;backup&#95;retention&#95;value

**This message is removed.**

_Overview:_

Get the backup&#95;retention&#95;value field of the given VMPP.

_Signature:_

```
int get_backup_retention_value (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `int`

value of the field

### RPC name: get&#95;backup&#95;schedule

**This message is removed.**

_Overview:_

Get the backup&#95;schedule field of the given VMPP.

_Signature:_

```
(string -> string) map get_backup_schedule (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;backup&#95;type

**This message is removed.**

_Overview:_

Get the backup&#95;type field of the given VMPP.

_Signature:_

```
vmpp_backup_type get_backup_type (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `vmpp_backup_type`

value of the field

### RPC name: get&#95;by&#95;name&#95;label

**This message is removed.**

_Overview:_

Get all the VMPP instances with the given label.

_Signature:_

```
VMPP ref set get_by_name_label (session ref session_ref, string label)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`label`                       |label of object to return               |

_Minimum Role:_ read-only

_Return Type:_ `VMPP ref set`

references to objects with matching names

### RPC name: get&#95;by&#95;uuid

**This message is removed.**

_Overview:_

Get a reference to the VMPP instance with the specified UUID.

_Signature:_

```
VMPP ref get_by_uuid (session ref session_ref, string uuid)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`uuid`                        |UUID of object to return                |

_Minimum Role:_ read-only

_Return Type:_ `VMPP ref`

reference to the object

### RPC name: get&#95;is&#95;alarm&#95;enabled

**This message is removed.**

_Overview:_

Get the is&#95;alarm&#95;enabled field of the given VMPP.

_Signature:_

```
bool get_is_alarm_enabled (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `bool`

value of the field

### RPC name: get&#95;is&#95;archive&#95;running

**This message is removed.**

_Overview:_

Get the is&#95;archive&#95;running field of the given VMPP.

_Signature:_

```
bool get_is_archive_running (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `bool`

value of the field

### RPC name: get&#95;is&#95;backup&#95;running

**This message is removed.**

_Overview:_

Get the is&#95;backup&#95;running field of the given VMPP.

_Signature:_

```
bool get_is_backup_running (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `bool`

value of the field

### RPC name: get&#95;is&#95;policy&#95;enabled

**This message is removed.**

_Overview:_

Get the is&#95;policy&#95;enabled field of the given VMPP.

_Signature:_

```
bool get_is_policy_enabled (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `bool`

value of the field

### RPC name: get&#95;name&#95;description

**This message is removed.**

_Overview:_

Get the name/description field of the given VMPP.

_Signature:_

```
string get_name_description (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;name&#95;label

**This message is removed.**

_Overview:_

Get the name/label field of the given VMPP.

_Signature:_

```
string get_name_label (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;recent&#95;alerts

**This message is removed.**

_Overview:_

Get the recent&#95;alerts field of the given VMPP.

_Signature:_

```
string set get_recent_alerts (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string set`

value of the field

### RPC name: get&#95;record

**This message is removed.**

_Overview:_

Get a record containing the current state of the given VMPP.

_Signature:_

```
VMPP record get_record (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `VMPP record`

all fields from the object

### RPC name: get&#95;uuid

**This message is removed.**

_Overview:_

Get the uuid field of the given VMPP.

_Signature:_

```
string get_uuid (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;VMs

**This message is removed.**

_Overview:_

Get the VMs field of the given VMPP.

_Signature:_

```
VM ref set get_VMs (session ref session_ref, VMPP ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `VM ref set`

value of the field

### RPC name: protect&#95;now

**This message is removed.**

_Overview:_

This call executes the protection policy immediately

_Signature:_

```
string protect_now (session ref session_ref, VMPP ref vmpp)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`vmpp`                        |The protection policy to execute        |

_Minimum Role:_ pool-operator

_Return Type:_ `string`

An XMLRPC result

### RPC name: remove&#95;from&#95;alarm&#95;config

**This message is removed.**

_Overview:_

_Signature:_

```
void remove_from_alarm_config (session ref session_ref, VMPP ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`string`                      |`key`                         |the key to remove                       |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: remove&#95;from&#95;archive&#95;schedule

**This message is removed.**

_Overview:_

_Signature:_

```
void remove_from_archive_schedule (session ref session_ref, VMPP ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`string`                      |`key`                         |the key to remove                       |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: remove&#95;from&#95;archive&#95;target&#95;config

**This message is removed.**

_Overview:_

_Signature:_

```
void remove_from_archive_target_config (session ref session_ref, VMPP ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`string`                      |`key`                         |the key to remove                       |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: remove&#95;from&#95;backup&#95;schedule

**This message is removed.**

_Overview:_

_Signature:_

```
void remove_from_backup_schedule (session ref session_ref, VMPP ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`string`                      |`key`                         |the key to remove                       |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;alarm&#95;config

**This message is removed.**

_Overview:_

_Signature:_

```
void set_alarm_config (session ref session_ref, VMPP ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`(string -> string) map`      |`value`                       |the value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;archive&#95;frequency

**This message is removed.**

_Overview:_

Set the value of the archive&#95;frequency field

_Signature:_

```
void set_archive_frequency (session ref session_ref, VMPP ref self, vmpp_archive_frequency value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`vmpp_archive_frequency`      |`value`                       |the archive frequency                   |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;archive&#95;last&#95;run&#95;time

**This message is removed.**

_Overview:_

_Signature:_

```
void set_archive_last_run_time (session ref session_ref, VMPP ref self, datetime value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`datetime`                    |`value`                       |the value to set                        |

_Return Type:_ `void`

### RPC name: set&#95;archive&#95;schedule

**This message is removed.**

_Overview:_

_Signature:_

```
void set_archive_schedule (session ref session_ref, VMPP ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`(string -> string) map`      |`value`                       |the value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;archive&#95;target&#95;config

**This message is removed.**

_Overview:_

_Signature:_

```
void set_archive_target_config (session ref session_ref, VMPP ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`(string -> string) map`      |`value`                       |the value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;archive&#95;target&#95;type

**This message is removed.**

_Overview:_

Set the value of the archive&#95;target&#95;config&#95;type field

_Signature:_

```
void set_archive_target_type (session ref session_ref, VMPP ref self, vmpp_archive_target_type value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`vmpp_archive_target_type`    |`value`                       |the archive target config type          |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;backup&#95;frequency

**This message is removed.**

_Overview:_

Set the value of the backup&#95;frequency field

_Signature:_

```
void set_backup_frequency (session ref session_ref, VMPP ref self, vmpp_backup_frequency value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`vmpp_backup_frequency`       |`value`                       |the backup frequency                    |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;backup&#95;last&#95;run&#95;time

**This message is removed.**

_Overview:_

_Signature:_

```
void set_backup_last_run_time (session ref session_ref, VMPP ref self, datetime value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`datetime`                    |`value`                       |the value to set                        |

_Return Type:_ `void`

### RPC name: set&#95;backup&#95;retention&#95;value

**This message is removed.**

_Overview:_

_Signature:_

```
void set_backup_retention_value (session ref session_ref, VMPP ref self, int value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`int`                         |`value`                       |the value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;backup&#95;schedule

**This message is removed.**

_Overview:_

_Signature:_

```
void set_backup_schedule (session ref session_ref, VMPP ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`(string -> string) map`      |`value`                       |the value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;backup&#95;type

**This message is removed.**

_Overview:_

Set the backup&#95;type field of the given VMPP.

_Signature:_

```
void set_backup_type (session ref session_ref, VMPP ref self, vmpp_backup_type value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |
|`vmpp_backup_type`            |`value`                       |New value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;is&#95;alarm&#95;enabled

**This message is removed.**

_Overview:_

Set the value of the is&#95;alarm&#95;enabled field

_Signature:_

```
void set_is_alarm_enabled (session ref session_ref, VMPP ref self, bool value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |The protection policy                   |
|`bool`                        |`value`                       |true if alarm is enabled for this policy|

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;is&#95;policy&#95;enabled

**This message is removed.**

_Overview:_

Set the is&#95;policy&#95;enabled field of the given VMPP.

_Signature:_

```
void set_is_policy_enabled (session ref session_ref, VMPP ref self, bool value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |
|`bool`                        |`value`                       |New value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;name&#95;description

**This message is removed.**

_Overview:_

Set the name/description field of the given VMPP.

_Signature:_

```
void set_name_description (session ref session_ref, VMPP ref self, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |
|`string`                      |`value`                       |New value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;name&#95;label

**This message is removed.**

_Overview:_

Set the name/label field of the given VMPP.

_Signature:_

```
void set_name_label (session ref session_ref, VMPP ref self, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`VMPP ref`                    |`self`                        |reference to the object                 |
|`string`                      |`value`                       |New value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`
